Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyleOptionViewItem.Position

    java.lang.Object
      java.lang.Enum<QStyleOptionViewItem.Position>
          com.trolltech.qt.gui.QStyleOptionViewItem.Position

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyleOptionViewItem.Position>

Enclosing class:
  QStyleOptionViewItem

    public static enum QStyleOptionViewItem.Position

extends java.lang.Enum<QStyleOptionViewItem.Position>
implements QtEnumerator

This enum describes the position of the item's decoration.

See Also:
  `decorationPosition`

Enum Constant Summary
`Bottom` Below the text.
`Left` On the left of the text.
`Right` On the right of the text.
`Top` Above the text.

Method Summary
`static QStyleOptionViewItem.Position` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionViewItem.Position` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyleOptionViewItem.Position[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Left

    public static final QStyleOptionViewItem.Position Left

  On the left of the text.

### Right

    public static final QStyleOptionViewItem.Position Right

  On the right of the text.

### Top

    public static final QStyleOptionViewItem.Position Top

  Above the text.

### Bottom

    public static final QStyleOptionViewItem.Position Bottom

  Below the text.

Method Detail

### values

    public static final QStyleOptionViewItem.Position[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyleOptionViewItem.Position c : QStyleOptionViewItem.Position.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyleOptionViewItem.Position valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionViewItem.Position resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD